de.caff.util.settings.swing

## Interface EditableProperty

- All Superinterfaces:
    ChangeableItem
  All Known Subinterfaces:
    EditablePreferenceProperty
  All Known Implementing Classes:
    AbstractBasicSimpleEditableChangeableItem, EditablePreferenceGroup, EditablePropertyGroup, EnumCheckedProxyProperty, FixValueProperty, SwingBooleanPreferenceProperty, SwingBooleanProperty, SwingColorPreferenceProperty, SwingColorProperty, SwingDirectoryPreferenceProperty, SwingDoublePreferenceProperty, SwingDoubleProperty, SwingEnumPreferenceProperty, SwingEnumProperty, SwingFormattedStringProperty, SwingHttpProxyPropertySettings, SwingIntegerPreferenceProperty, SwingIntegerProperty, SwingLongPreferenceProperty, SwingNumberProperty, SwingStringPreferenceProperty, SwingStringProperty, SwingTextProperty, SwingUrlListPreferenceProperty

      public interface EditableProperty
      extends ChangeableItem

  A preference property which is editable by means of a Swing component.
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EditorProvider` | `getEditorProvider(java.util.Locale l)` Get the editor provider which provides editor components for editing this preference property.
    `java.lang.String` | `getName(java.util.Locale l)` Get a name for the editor component.

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Method Detail

    - #### getEditorProvider

          @NotNull
          EditorProvider getEditorProvider(@Nullable
                                                    java.util.Locale l)

      Get the editor provider which provides editor components for editing this preference property.
      Parameters:
        `l` - locale used for i18n, `null` for default
      Returns:
        editor provider

    - #### getName

          @Nullable
          java.lang.String getName(@Nullable
                                             java.util.Locale l)

      Get a name for the editor component.
      Parameters:
        `l` - locale used for i18n, `null` for default
      Returns:
        common title or `null`